#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-837

### Chapter 10. Graphics and Font Libraries

- Prev

  harfBuzz-14.2.1

- Next

  jasper-4.2.9

- Up
- Home

# Imath-3.2.2

## Introduction to Imath

Imath is a C++ and python library of 2D and 3D vector, matrix, and math operations for computer graphics.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://github.com/AcademySoftwareFoundation/Imath/releases/download/v3.2.2/Imath-3.2.2.tar.gz

- Download MD5 sum: 7389e3bb124012e7dbbb99c3b2a5323c

- Download size: 668 KB

- Estimated disk space required: 162 MB (with tests)

- Estimated build time: 1.2 SBU (Using parallelism=4; with tests)

### Imath Dependencies

#### Required

CMake-4.3.3

#### Recommended

Boost-1.91.0-1 and NumPy-2.4.6

## Installation of Imath

Install Imath by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr \
          -D CMAKE_BUILD_TYPE=Release  \
          -D PYTHON=ON                 \
          ..  &&
    make

To test the results, issue: make test.

Now, as the `root` user:

    make install

## Command Explanations

`-D PYTHON=ON`: This option enables building the Python modules. It can be disabled if NumPy-2.4.6 is not installed.

## Contents

Installed Programs: None
Installed Library: libImath.so, libImath-3_2.so, libPyImath.so, and libPyImath_Python3_14-3_2.so
Installed Directories: /usr/include/Imath and /usr/lib/cmake/Imath

- Prev

  harfBuzz-14.2.1

- Next

  jasper-4.2.9

- Up
- Home